Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class DefaultSingleSelectionModel

    java.lang.Object
      |
      +--javax.swing.DefaultSingleSelectionModel

All Implemented Interfaces:
  Serializable, SingleSelectionModel

public class DefaultSingleSelectionModel
extends Object
implements SingleSelectionModel, Serializable

A generic implementation of SingleSelectionModel.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected ChangeEvent` | `changeEvent`
`protected EventListenerList` | `listenerList` The collection of registered listeners

Constructor Summary
`DefaultSingleSelectionModel()`

Method Summary
`void` | `addChangeListener(ChangeListener l)` Adds a ChangeListener to the button.
`void` | `clearSelection()` Clears the selection (to -1).
`protected void` | `fireStateChanged()`
`EventListener[]` | `getListeners(Class listenerType)` Return an array of all the listeners of the given type that were added to this model.
`int` | `getSelectedIndex()` Returns the model's selection.
`boolean` | `isSelected()` Returns true if the selection model currently has a selected value.
`void` | `removeChangeListener(ChangeListener l)` Removes a ChangeListener from the button.
`void` | `setSelectedIndex(int index)` Sets the model's selected index to index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changeEvent

    protected transient ChangeEvent changeEvent

### listenerList

    protected EventListenerList listenerList

  The collection of registered listeners

Constructor Detail

### DefaultSingleSelectionModel

    public DefaultSingleSelectionModel()

Method Detail

### getSelectedIndex

    public int getSelectedIndex()

  Description copied from interface: `SingleSelectionModel`
  Returns the model's selection.
  Specified by:
    `getSelectedIndex` in interface `SingleSelectionModel`
  Following copied from interface: `javax.swing.SingleSelectionModel`
  Returns:
    the model's selection, or -1 if there is no selection
  See Also:
    `SingleSelectionModel.setSelectedIndex(int)`

### setSelectedIndex

    public void setSelectedIndex(int index)

  Description copied from interface: `SingleSelectionModel`
  Sets the model's selected index to index. Notifies any listeners if the model changes
  Specified by:
    `setSelectedIndex` in interface `SingleSelectionModel`
  Following copied from interface: `javax.swing.SingleSelectionModel`
  Parameters:
    `an` - int specifying the model selection
  See Also:
    `SingleSelectionModel.getSelectedIndex()`, `SingleSelectionModel.addChangeListener(javax.swing.event.ChangeListener)`

### clearSelection

    public void clearSelection()

  Description copied from interface: `SingleSelectionModel`
  Clears the selection (to -1).
  Specified by:
    `clearSelection` in interface `SingleSelectionModel`

### isSelected

    public boolean isSelected()

  Description copied from interface: `SingleSelectionModel`
  Returns true if the selection model currently has a selected value.
  Specified by:
    `isSelected` in interface `SingleSelectionModel`
  Following copied from interface: `javax.swing.SingleSelectionModel`
  Returns:
    true if a value is currently selected

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a ChangeListener to the button.
  Specified by:
    `addChangeListener` in interface `SingleSelectionModel`
  Following copied from interface: `javax.swing.SingleSelectionModel`
  Parameters:
    `l` - the ChangeListener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a ChangeListener from the button.
  Specified by:
    `removeChangeListener` in interface `SingleSelectionModel`
  Following copied from interface: `javax.swing.SingleSelectionModel`
  Parameters:
    `l` - the ChangeListener to remove

### fireStateChanged

    protected void fireStateChanged()

### getListeners

    public EventListener[] getListeners(Class listenerType)

  Return an array of all the listeners of the given type that were added to this model.
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.